Summary:	An X Window System graphical chessboard
Summary(de.UTF-8):	X11-Schnittstelle für GNU-Schach
Summary(es.UTF-8):	Interface X11 para el ajedrez de la GNU
Summary(fr.UTF-8):	Interface X11 au jeu d'échecs de GNU
Summary(pl.UTF-8):	Graficzna szachownica dla X Window
Summary(pt_BR.UTF-8):	Interface X11 para o xadrez da GNU
Summary(ru.UTF-8):	Графический (X11) интерфейс к шахматным программам
Summary(tr.UTF-8):	GNU Chess (satranç) oyununa X11 grafik arabirimi
Summary(uk.UTF-8):	Графічний (X11) інтерфейс до шахових програм
Name:		xboard
Version:	4.9.1
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://ftp.gnu.org/gnu/xboard/%{name}-%{version}.tar.gz
# Source0-md5:	93d7475bbd69a06ff9cce7add5636beb
Patch0:		%{name}-info.patch
URL:		http://www.tim-mann.org/xboard.html
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	librsvg-devel >= 2.14.0
# pangocairo
BuildRequires:	pango-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	texinfo
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	shared-mime-info
Suggests:	crafty
Suggests:	fairymax
Suggests:	gnuchess
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xboard is an X Window System based graphical chessboard which can be
used with the GNUchess and Crafty chess programs, with Internet Chess
Servers (ICSs), with chess via email, or with your own saved games.

%description -l de.UTF-8
xboard stellt eine einfach zu bedienende, grafische Oberfläche für
GNU-Schach bereit, so daß Sie sich in stundenlange Schachkämpfe
verwickeln können, ohne komplizierte Befehle lernen zu müssen.Es läßt
sich auch als Frontend zum Austragen von Schachpartien gegen andere
Internet-Benutzer einsetzen.

%description -l es.UTF-8
xboard te ofrece una interface gráfica fácil de usar para el programa
de ajedrez de GNU, permitiendo que aproveches horas de la ación
intelectual sin tener que aprender comandos complicados.

%description -l fr.UTF-8
xboard vous offre une interface graphique facile à utiliser pour le
jeu d'échecs de GNU. Il vous permet d'apprécier les heures de
réflexion des échecs sans avoir à apprendre des commandes complexes.
Il peut aussi être utilisé comme frontal pour jouer aux échecs avec
d'autres personnes sur l'Internet.

%description -l pl.UTF-8
Xboard to graficzna szachownica pod X Window System, używana z
programami szachowymi GNUchess i Crafty, serwerami Internet Chess
(ICS), z szachami przez pocztę elektroniczną itd.

%description -l pt_BR.UTF-8
xboard oferece a você uma interface gráfica fácil de usar para o
programa de xadrez da GNU, permitindo você aproveitar horas da ação
intelectual sem ter que aprender comandos complicados.

%description -l ru.UTF-8
Xboard - это графический интерфейс к шахматным программам, который
может быть использован с программами GNUchess и Crafty, с шахматными
серверами в Интернете (ICS), с шахматами по электронной почте или с
сохраненными записями игр.

%description -l tr.UTF-8
xboard, GNU chess programına grafik arabirimi ekleyerek kullanımı
kolay ve rahat bir ortam sunar. Saatler boyunca kafa yorabilirsiniz.
Internet üzerinden arkadaşınızla da oynayabilirsiniz.

%description -l uk.UTF-8
Xboard - це графічний інтерфейс до шахових програм, який може бути
використаний з програмами GNUchess та Crafty, з шаховими серверами в
Інтернеті (ICS), з шахами по електронній пошті чи із збереженими
записами ігор.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-silent-rules
%{__make}

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p cmail $RPM_BUILD_ROOT%{_bindir}

echo '.so xboard.6' > $RPM_BUILD_ROOT%{_mandir}/man6/cmail.6
echo '.so xboard.6' > $RPM_BUILD_ROOT%{_mandir}/man6/pxboard.6

# engines integration files (see {gtk,xaw}/xboard.c)
install -d $RPM_BUILD_ROOT%{_datadir}/games/plugins/{logos,xboard}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}
%update_icon_cache hicolor
%update_mime_database

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}
%update_icon_cache hicolor
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cmail
%attr(755,root,root) %{_bindir}/xboard
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xboard.conf
%{_datadir}/games/xboard
%dir %{_datadir}/games/plugins
%dir %{_datadir}/games/plugins/logos
%dir %{_datadir}/games/plugins/xboard
%{_datadir}/mime/packages/xboard.xml
%{_desktopdir}/xboard.desktop
%{_desktopdir}/xboard-config.desktop
%{_desktopdir}/xboard-fen-viewer.desktop
%{_desktopdir}/xboard-pgn-viewer.desktop
%{_desktopdir}/xboard-tourney.desktop
%{_iconsdir}/hicolor/48x48/apps/xboard.png
%{_iconsdir}/hicolor/scalable/apps/xboard.svg
%{_mandir}/man6/cmail.6*
%{_mandir}/man6/pxboard.6*
%{_mandir}/man6/xboard.6*
%{_infodir}/xboard.info*
%changelog
* Fri Sep 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xboard.git;a=log;h=master

* Fri Sep 02 2016 Jakub Bogusz <qboosh@pld-linux.org> ce399b1
- S: fairymax

* Fri Sep 02 2016 Jakub Bogusz <qboosh@pld-linux.org> dcd76ea
- update icon_cache and mime_database

* Fri Sep 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 1e6aa2c
- updated to 4.9.1
- removed outdated lowtime-warning,hilight-threatened-pieces,xtname,default-program patches
- use upstream .desktop and .png files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 1db8904
- dropped pre-cvs changelog

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8979c50
- release 7

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> e520430
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> a076e08
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> cc22e1c
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Nov 18 2007 Paweł Gołaszewski <blues@pld-linux.org> 6d1bfb7
- Suggests crafty too

* Sun Nov 18 2007 Paweł Gołaszewski <blues@pld-linux.org> 6154f59
- rel.6, suggests gnuchess

* Fri Jul 27 2007 Paweł Gołaszewski <blues@pld-linux.org> 6ad0392
- typo

* Fri Jul 27 2007 Paweł Gołaszewski <blues@pld-linux.org> 84d44f6
- there is no need to set the same secondary and primary program

* Fri Jul 27 2007 Paweł Gołaszewski <blues@pld-linux.org> 5fd1a43
- rel.5 - added patches from MDK: hilight-threatened-pieces,
  lowtime-warning and xtname

* Fri Jul 27 2007 Paweł Gołaszewski <blues@pld-linux.org> 1c92b12
- stollen from MDK

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> eba977c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aa40300
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 0727e5f
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 1559a37
- orphaned, outdated

* Wed Nov 10 2004 ankry <ankry@pld-linux.org> 23e1795
- ven -> ve in desktop, rel. 4

* Wed Nov 10 2004 ankry <ankry@pld-linux.org> 190dbb5
- ven -> ve

